package com.ywt.alipaympapi.core.utils;

import com.ywt.alipaympapi.models.enums.TerminalEnum;
import com.ywt.alipaympapi.web.interceptors.WebAppContext;

/**
 * @author Walker
 * Created on 2022/9/1
 */
public final class ContextHelper {

    // 提供一些包装方法，方便本地调试使用
    public static int getCurrentTerminalWrapped() {
//        return TerminalEnum.NFYYBYFY_ALIPAY_MP.getValue();
        return WebAppContext.current().getTerminal();
    }

    public static int getCurrentUserIdWrapped() {
//        return 5;
        return WebAppContext.current().getUserId();
    }

    public static String getAlipayUidWrapped() {
        return WebAppContext.current().getAlipayUid();
    }
}
